package de.intevation.flys.artifacts.model;

import java.io.Serializable;


/**
 * This class represents an object that has a name. The default case would be to
 * inherit from this class.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class NamedObject implements Serializable {

    /** The name of this object.*/
    protected String name;

    public NamedObject() {
    }

    public NamedObject(String name) {
        this.name = name;
    }


    public void setName(String name) {
        this.name = name;
    }


    public String getName() {
        return name;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
